1. Social publishing
Highperformr API
  • Introduction
  • Contacts
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
    • Unified Data API - async contact enrichment
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get options for field
      GET
    • Get discovery search options for field
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
Login
  1. Social publishing

Create draft post

POST
/v1/posts
Creates a draft post for a provider. providerId โ€” use POST /api/integrations/filter-integrations to obtain integration id values. Optional media entries reference fileName values from /media/upload or /media/upload-url.
Cross-post repost (manual): set isRepost: true and repostContext.parent to another post id when modeling a simple repost relationship (distinct from automation cross-account repost configured via /posts/{postId}/reposting).

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200
application/json
Created post (serialized post resource)
Bodyapplication/json

๐ŸŸ 400
๐ŸŸ 401
๐Ÿ”ด500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/v1/posts' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "content": "Hello from the API",
    "providerId": "mQQqMeclDHmvr40TbhIU",
    "media": [
        {
            "contentType": "image/jpeg",
            "fileName": "images/user-uploads/acc/uuid.jpg",
            "title": "Hero"
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "property1": "string",
    "property2": "string"
}
Modified atย 2026-04-22 07:54:17
Previous
Get job status by id
Next
List posts (drafts, scheduled, published)
Built with